### Method

# Fwupd Device set_branch

#### Declaration [src]

    void
    fwupd_device_set_branch (
      FwupdDevice* self,
      const gchar* branch
    )

#### Description [src]

Sets the current device branch.

Available since: | 1.5.0

#### Parameters

`branch` | `const gchar*`
| The device one line branch.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.